using System;
using System.Data;
using System.Data.SqlClient;

namespace AcmeDirectory
{
	/// <summary>
	/// Provides Data Access layer for Employee Manager data.
	/// </summary>
	public class dcEmpManager
	{
      // default constructor
      public dcEmpManager()
      {
      }

      // Get employee manager detail information
      public void Retrieve( DataSet DestDS, int EmployeeID )
      {
         if( DestDS != null )
         {
            // instantiate the Data Access component and open a connection
            DataManager oData = new DataManager();
            oData.Open();
            
            // invoke the query
            SqlDataAdapter EmployeeDA = oData.NewProcDA( "uspEmployeeManager", 
                                                         "@EmployeeID", EmployeeID );
            EmployeeDA.Fill( DestDS, "Manager" );

            // close the connection
            oData.Close();
         }
      }
   }
}
