<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="/">
        <b>Porridge</b>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="porridge">
        <p>Temperature <xsl:value-of select="@temperature"/>:
        <font>
        <xsl:choose>
            <xsl:when test="@temperature &gt; 150">
                <xsl:attribute name="color">red</xsl:attribute>
                Too Hot
            </xsl:when>
            <xsl:when test="@temperature &lt; 70">
                <xsl:attribute name="color">blue</xsl:attribute>
                Too Cold
            </xsl:when>
            <xsl:otherwise>
                <xsl:attribute name="color">green</xsl:attribute>
                Just Right
            </xsl:otherwise>
        </xsl:choose>
        </font>
        </p>
    </xsl:template>
</xsl:stylesheet>