if exists (select * from dbo.sysobjects
				where id = object_id(N'[dbo].[uspEmployee]')
				and OBJECTPROPERTY(id, N'IsProcedure') = 1)
   drop procedure [dbo].[uspEmployee]
GO

CREATE PROCEDURE uspEmployee(
    @EmployeeID int
)
AS
BEGIN
/************************************************************************
   Name:       uspEmployee
   Purpose:    Retrieves data sets needed to populate the 
	           EmployeeDetail DataSet
   Notes:      None

   Parameters: @EmployeeID    =    ID of the employee to retrieve
************************************************************************/

SELECT 
     EmployeeID
,    LastName
,    FirstName
,    MiddleInitial
,    OfficePhone
,    CellPhone
,    Beeper
FROM Employee
WHERE EmployeeID = @EmployeeID

END
GO