<?xml version="1.0"?>
<!-- Generic stylesheet for viewing XML -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">
  <xsl:template>
    <DIV STYLE="font-family:Courier; font-size:10pt;">
      <xsl:apply-templates select=".">
        <xsl:template><xsl:apply-templates/></xsl:template>

        <xsl:template match="*">
          <DIV STYLE="margin-left:1em; color:blue">
            &lt;<SPAN STYLE="color:brown"><xsl:node-name/><xsl:apply-templates select="@*"/>/</SPAN>&gt;
          </DIV>
        </xsl:template>

        <xsl:template match="*[node()]">
          <DIV STYLE="margin-left:1em; color:blue">
            &lt;<SPAN STYLE="color:brown"><xsl:node-name/><xsl:apply-templates select="@*"/></SPAN>&gt;<SPAN STYLE="color:black"><xsl:apply-templates select="node()"/></SPAN>&lt;/<SPAN STYLE="color:brown"><xsl:node-name/></SPAN>&gt;
          </DIV>
        </xsl:template>

        <xsl:template match="@*">
          <SPAN STYLE="color:purple"> <xsl:node-name/></SPAN><SPAN STYLE="color:blue">="</SPAN><SPAN STYLE="color:black"><xsl:value-of /></SPAN><SPAN STYLE="color:blue">"</SPAN>
        </xsl:template>

        <xsl:template match="pi()">
          <DIV STYLE="margin-left:1em; color:blue">
            &lt;?<SPAN STYLE="color:red"><xsl:node-name/></SPAN><xsl:apply-templates select="@*"/>?&gt;
          </DIV>
        </xsl:template>

        <xsl:template match="cdata()"><pre>&lt;![CDATA[<xsl:value-of />]]&gt;</pre></xsl:template>

        <xsl:template match="textNode()"><xsl:value-of /></xsl:template>
      </xsl:apply-templates>
    </DIV>
  </xsl:template>
</xsl:stylesheet>