using System;
using System.Data;
using System.Data.SqlClient;

namespace AcmeDirectory
{
	/// <summary>
	/// Business class used to handle Employee related business operations.
	/// </summary>
	public class bcEmployee
	{
		public bcEmployee()
		{
			//
			// TODO: Add constructor logic here
			//
		}

      // get a list of employees
      public EmployeesDS Employees()
      {
         EmployeesDS EmployeeDS = new EmployeesDS();
         dcEmployee EmpData = new dcEmployee();
         EmpData.List( EmployeeDS );

         return EmployeeDS;
      }

      // get employee details from three different sources
      public EmployeeDetailDS EmployeeDetail( int EmployeeID )
      {
         // initialize a DataSet
         EmployeeDetailDS DetailDS = new EmployeeDetailDS();

         // get the EmployeeData
         dcEmployee oEmp = new dcEmployee();
         oEmp.Retrieve( DetailDS, EmployeeID );

         // get the Manager data
         dcEmpManager oMgr = new dcEmpManager();
         oMgr.Retrieve( DetailDS, EmployeeID );

         // get the project data
         dcEmpProject oPrj = new dcEmpProject();
         oPrj.Retrieve( DetailDS, EmployeeID );

         // return the result
         return DetailDS;
      }

      // get employee details from a single data set
      public EmployeeDetailDS EmployeeDetailXML( int EmployeeID )
      {
         // instantiate or Data class
         EmployeeDetailDS DetailDS = new EmployeeDetailDS();
         dcEmpDetail oDetail = new dcEmpDetail();
         oDetail.Retrieve( DetailDS, EmployeeID );

         return DetailDS;
      }
   }
}
