using System;
using System.Data;
using System.Data.SqlClient;

namespace AcmeDirectory
{
	/// <summary>
	/// Provides Data Access layer for Employee Project data.
	/// </summary>
	public class dcEmpProject
	{
      // default constructor
      public dcEmpProject()
      {
      }

      // Get employee manager detail information
      public void Retrieve( DataSet DestDS, int EmployeeID )
      {
         if( DestDS != null )
         {
            // instantiate the Data Access component and open a connection
            cDataAccess oData = new cDataAccess();
            oData.Open();
            
            // invoke the query
            SqlDataAdapter EmployeeDA = oData.ExecuteProc( "uspEmployeeProjects", 
                                                           "@EmployeeID", EmployeeID );
            EmployeeDA.Fill( DestDS, "Project" );

            // close the connection
            oData.Close();
         }
      }
   }
}
