<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
		<body>
		<xsl:apply-templates select="//apples">
			<xsl:sort select="price" data-type="number" order="ascending"/>
		</xsl:apply-templates>
		<xsl:apply-templates select="//oranges">
			<xsl:sort select="price" data-type="number" order="ascending"/>
		</xsl:apply-templates>
		</body>
		</html>
	</xsl:template>
	<xsl:template match="apples">
		<xsl:call-template name="displayFruit">
			<xsl:with-param name="nameOfFruit" select="string('Apples')"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="oranges">
		<xsl:call-template name="displayFruit">
			<xsl:with-param name="nameOfFruit" select="string('Oranges')"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="displayFruit">
		<xsl:param name="nameOfFruit" select="NameOfFruit"/>
		<p>
			<b><xsl:value-of select="$nameOfFruit"/>:</b> 
			<ul><li>Origin: <xsl:value-of select="origin"/></li></ul>
			<ul><li>Quantity: <xsl:value-of select="quantity"/></li></ul>
			<ul><li>Price: <xsl:value-of select="price"/></li></ul>
		</p>
	</xsl:template>
</xsl:stylesheet>
