using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace AcmeEmployee
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Directory : System.Windows.Forms.Form
	{
		private AcmeEmployee.EmployeesDS mEmployeesDS;
      private System.Windows.Forms.Button btnEmployees;
      private System.Windows.Forms.ListBox lstEmployees;
      private System.Windows.Forms.Label label1;
      private System.Windows.Forms.TextBox txtMI;
      private System.Windows.Forms.Button btnQuit;
      private System.Windows.Forms.Label label2;
      private System.Windows.Forms.Label label3;
      private System.Windows.Forms.Label label4;
      private System.Windows.Forms.Label label5;
      private System.Windows.Forms.Label lblManager;
      private System.Windows.Forms.ComboBox cboProjects;
      private System.Windows.Forms.Label label7;
      private System.Windows.Forms.Button btnSave;
      private System.Windows.Forms.TextBox txtFirst;
      private System.Windows.Forms.TextBox txtLast;
      private AcmeControls.TextBoxEx txtOffice;
      private AcmeControls.TextBoxEx txtCell;
      private AcmeControls.TextBoxEx txtBeeper;
      private AcmeEmployee.EmployeeDetailDS mDetailDS;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Directory()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}


		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
         this.mEmployeesDS = new AcmeEmployee.EmployeesDS();
         this.btnEmployees = new System.Windows.Forms.Button();
         this.lstEmployees = new System.Windows.Forms.ListBox();
         this.txtFirst = new System.Windows.Forms.TextBox();
         this.mDetailDS = new AcmeEmployee.EmployeeDetailDS();
         this.label1 = new System.Windows.Forms.Label();
         this.txtMI = new System.Windows.Forms.TextBox();
         this.txtLast = new System.Windows.Forms.TextBox();
         this.btnQuit = new System.Windows.Forms.Button();
         this.label2 = new System.Windows.Forms.Label();
         this.label3 = new System.Windows.Forms.Label();
         this.label4 = new System.Windows.Forms.Label();
         this.label5 = new System.Windows.Forms.Label();
         this.lblManager = new System.Windows.Forms.Label();
         this.cboProjects = new System.Windows.Forms.ComboBox();
         this.label7 = new System.Windows.Forms.Label();
         this.btnSave = new System.Windows.Forms.Button();
         this.txtOffice = new AcmeControls.TextBoxEx();
         this.txtCell = new AcmeControls.TextBoxEx();
         this.txtBeeper = new AcmeControls.TextBoxEx();
         ((System.ComponentModel.ISupportInitialize)(this.mEmployeesDS)).BeginInit();
         ((System.ComponentModel.ISupportInitialize)(this.mDetailDS)).BeginInit();
         this.SuspendLayout();
         // 
         // mEmployeesDS
         // 
         this.mEmployeesDS.DataSetName = "EmployeesDS";
         this.mEmployeesDS.Locale = new System.Globalization.CultureInfo("en-US");
         this.mEmployeesDS.Namespace = "http://www.AcmeConsulting.com/EmployeesDS.xsd";
         // 
         // btnEmployees
         // 
         this.btnEmployees.Location = new System.Drawing.Point(192, 16);
         this.btnEmployees.Name = "btnEmployees";
         this.btnEmployees.Size = new System.Drawing.Size(104, 23);
         this.btnEmployees.TabIndex = 1;
         this.btnEmployees.Text = "Get Employees";
         this.btnEmployees.Click += new System.EventHandler(this.btnEmployees_Click);
         // 
         // lstEmployees
         // 
         this.lstEmployees.DataSource = this.mEmployeesDS.Employee;
         this.lstEmployees.DisplayMember = "LastName";
         this.lstEmployees.Location = new System.Drawing.Point(8, 8);
         this.lstEmployees.Name = "lstEmployees";
         this.lstEmployees.Size = new System.Drawing.Size(136, 95);
         this.lstEmployees.TabIndex = 2;
         this.lstEmployees.ValueMember = "EmployeeID";
         this.lstEmployees.SelectedIndexChanged += new System.EventHandler(this.lstEmployees_SelectedIndexChanged);
         // 
         // txtFirst
         // 
         this.txtFirst.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.mDetailDS, "Employee.FirstName"));
         this.txtFirst.Location = new System.Drawing.Point(24, 144);
         this.txtFirst.MaxLength = 20;
         this.txtFirst.Name = "txtFirst";
         this.txtFirst.Size = new System.Drawing.Size(112, 20);
         this.txtFirst.TabIndex = 3;
         this.txtFirst.Text = "";
         // 
         // mDetailDS
         // 
         this.mDetailDS.DataSetName = "EmployeeDetailDS";
         this.mDetailDS.Locale = new System.Globalization.CultureInfo("en-US");
         this.mDetailDS.Namespace = "http://www.AcmeConsulting.com/EmployeeDetailDS.xsd";
         // 
         // label1
         // 
         this.label1.ImageAlign = System.Drawing.ContentAlignment.MiddleRight;
         this.label1.Location = new System.Drawing.Point(24, 128);
         this.label1.Name = "label1";
         this.label1.Size = new System.Drawing.Size(112, 16);
         this.label1.TabIndex = 4;
         this.label1.Text = "Name (First,MI,Last):";
         this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
         // 
         // txtMI
         // 
         this.txtMI.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.mDetailDS, "Employee.MiddleInitial"));
         this.txtMI.Location = new System.Drawing.Point(144, 144);
         this.txtMI.MaxLength = 1;
         this.txtMI.Name = "txtMI";
         this.txtMI.Size = new System.Drawing.Size(16, 20);
         this.txtMI.TabIndex = 4;
         this.txtMI.Text = "";
         // 
         // txtLast
         // 
         this.txtLast.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.mDetailDS, "Employee.LastName"));
         this.txtLast.Location = new System.Drawing.Point(168, 144);
         this.txtLast.MaxLength = 30;
         this.txtLast.Name = "txtLast";
         this.txtLast.Size = new System.Drawing.Size(136, 20);
         this.txtLast.TabIndex = 5;
         this.txtLast.Text = "";
         // 
         // btnQuit
         // 
         this.btnQuit.Location = new System.Drawing.Point(240, 240);
         this.btnQuit.Name = "btnQuit";
         this.btnQuit.Size = new System.Drawing.Size(64, 23);
         this.btnQuit.TabIndex = 2;
         this.btnQuit.Text = "Quit";
         this.btnQuit.Click += new System.EventHandler(this.btnQuit_Click);
         // 
         // label2
         // 
         this.label2.Location = new System.Drawing.Point(24, 176);
         this.label2.Name = "label2";
         this.label2.Size = new System.Drawing.Size(88, 16);
         this.label2.TabIndex = 6;
         this.label2.Text = "Office Phone:";
         this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
         // 
         // label3
         // 
         this.label3.Location = new System.Drawing.Point(120, 176);
         this.label3.Name = "label3";
         this.label3.Size = new System.Drawing.Size(88, 16);
         this.label3.TabIndex = 7;
         this.label3.Text = "Cell Phone:";
         this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
         // 
         // label4
         // 
         this.label4.Location = new System.Drawing.Point(216, 176);
         this.label4.Name = "label4";
         this.label4.Size = new System.Drawing.Size(88, 16);
         this.label4.TabIndex = 8;
         this.label4.Text = "Beeper:";
         this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
         // 
         // label5
         // 
         this.label5.Location = new System.Drawing.Point(152, 64);
         this.label5.Name = "label5";
         this.label5.Size = new System.Drawing.Size(56, 16);
         this.label5.TabIndex = 9;
         this.label5.Text = "Manager:";
         this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
         // 
         // lblManager
         // 
         this.lblManager.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.mDetailDS, "Manager.LastName"));
         this.lblManager.Location = new System.Drawing.Point(208, 64);
         this.lblManager.Name = "lblManager";
         this.lblManager.Size = new System.Drawing.Size(112, 16);
         this.lblManager.TabIndex = 10;
         // 
         // cboProjects
         // 
         this.cboProjects.DataSource = this.mDetailDS.Project;
         this.cboProjects.DisplayMember = "Name";
         this.cboProjects.Location = new System.Drawing.Point(208, 84);
         this.cboProjects.Name = "cboProjects";
         this.cboProjects.Size = new System.Drawing.Size(120, 21);
         this.cboProjects.TabIndex = 11;
         // 
         // label7
         // 
         this.label7.Location = new System.Drawing.Point(152, 88);
         this.label7.Name = "label7";
         this.label7.Size = new System.Drawing.Size(56, 16);
         this.label7.TabIndex = 12;
         this.label7.Text = "Projects:";
         this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
         // 
         // btnSave
         // 
         this.btnSave.Location = new System.Drawing.Point(160, 240);
         this.btnSave.Name = "btnSave";
         this.btnSave.Size = new System.Drawing.Size(64, 23);
         this.btnSave.TabIndex = 13;
         this.btnSave.Text = "Save";
         this.btnSave.Click += new System.EventHandler(this.btnSave_Click);
         // 
         // txtOffice
         // 
         this.txtOffice.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.mDetailDS, "Employee.OfficePhone"));
         this.txtOffice.Format = AcmeControls.EditFormat.Phone;
         this.txtOffice.Location = new System.Drawing.Point(24, 192);
         this.txtOffice.Name = "txtOffice";
         this.txtOffice.Size = new System.Drawing.Size(88, 20);
         this.txtOffice.TabIndex = 14;
         this.txtOffice.Text = "";
         // 
         // txtCell
         // 
         this.txtCell.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.mDetailDS, "Employee.CellPhone"));
         this.txtCell.Format = AcmeControls.EditFormat.Phone;
         this.txtCell.Location = new System.Drawing.Point(120, 192);
         this.txtCell.Name = "txtCell";
         this.txtCell.Size = new System.Drawing.Size(88, 20);
         this.txtCell.TabIndex = 15;
         this.txtCell.Text = "";
         // 
         // txtBeeper
         // 
         this.txtBeeper.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.mDetailDS, "Employee.Beeper"));
         this.txtBeeper.Format = AcmeControls.EditFormat.Phone;
         this.txtBeeper.Location = new System.Drawing.Point(216, 192);
         this.txtBeeper.Name = "txtBeeper";
         this.txtBeeper.Size = new System.Drawing.Size(88, 20);
         this.txtBeeper.TabIndex = 16;
         this.txtBeeper.Text = "";
         // 
         // Directory
         // 
         this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
         this.ClientSize = new System.Drawing.Size(336, 285);
         this.Controls.AddRange(new System.Windows.Forms.Control[] {
                                                                      this.txtBeeper,
                                                                      this.txtCell,
                                                                      this.txtOffice,
                                                                      this.btnSave,
                                                                      this.label7,
                                                                      this.cboProjects,
                                                                      this.lblManager,
                                                                      this.label5,
                                                                      this.label4,
                                                                      this.label3,
                                                                      this.label2,
                                                                      this.btnQuit,
                                                                      this.txtLast,
                                                                      this.txtMI,
                                                                      this.label1,
                                                                      this.txtFirst,
                                                                      this.lstEmployees,
                                                                      this.btnEmployees});
         this.Name = "Directory";
         this.Text = "Employee Directory";
         ((System.ComponentModel.ISupportInitialize)(this.mEmployeesDS)).EndInit();
         ((System.ComponentModel.ISupportInitialize)(this.mDetailDS)).EndInit();
         this.ResumeLayout(false);

      }
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Directory());
		}

      private void btnEmployees_Click(object sender, System.EventArgs e)
      {
         // get the list
         bcEmployee emp = new bcEmployee();
         EmployeesDS empDS = emp.Employees();

         // update the Last name field
         foreach( EmployeesDS.EmployeeRow row in empDS.Employee.Rows )
         {
            string mi = "";
            if( row.IsMiddleInitialNull() == false )
            {
               mi = row.MiddleInitial;
            }
            // get the full name
            row.LastName = GetFullName(row.FirstName, mi, row.LastName);
         }
         // Update the list box.
         lstEmployees.BeginUpdate();
         lstEmployees.DataSource = empDS.Employee;
         lstEmployees.EndUpdate();
      }

      // Helper used to generat a full name
      protected string GetFullName( string first, string mi, string last )
      {
         string fullName = last + ", " + first;
         if( mi != null && mi.Length > 0 )
         {
            fullName += " " + mi + ".";
         }
         return fullName;         
      }

      private void lstEmployees_SelectedIndexChanged(object sender, System.EventArgs e)
      {
         // Get the EmplyeeID from the selected value
         int empID = int.Parse(lstEmployees.SelectedValue.ToString());

         // get the details
         bcEmployee emp = new bcEmployee();
         EmployeeDetailDS detailDS = emp.EmployeeDetail( empID );

         // Make sure we have employee information
         if( detailDS.Employee != null )
         {
            // update the Manager name... this is read-only
            if( detailDS.Manager.Rows.Count > 0 )
            {
               EmployeeDetailDS.ManagerRow row = detailDS.Manager[0];
               row.LastName = GetFullName( row.FirstName, null, row.LastName);
            }
            // clear any previous data in the Form DataSet and
            // merge the Data from the database into it.
            mDetailDS.Clear();
            mDetailDS.Merge( detailDS );
         }
      }

      private void btnQuit_Click(object sender, System.EventArgs e)
      {
         this.Close();
      }

      private void btnSave_Click(object sender, System.EventArgs e)
      {
         // Call the update function.
         bcEmployee emp = new bcEmployee();
         emp.EmployeUpdate( mDetailDS );
      }

	}
}
