using System;
using System.Runtime.InteropServices;
using System.EnterpriseServices;
using ADODB26;

namespace CompanyInfo
{
   /// <summary>
   /// COM Class used to implement the Contacts interface.
   /// </summary>
   [Guid("0F68977E-5291-411d-8F18-66475AC1FE15")]
   [Transaction(TransactionOption.NotSupported)]
   public class Contacts : ServicedComponent
   {
      /// <summary>
      /// Opens an EmployeeList and returns the data in a Recordset   
      /// </summary>
      public ADODB26.Recordset getEmployeesRec()
      {
         EmployeeList oData = new EmployeeList();
	 if( oData.Open() == true )
	 {
	    return oData.getRecordset();
	 }
	 return null;
      }

      /// <summary>
      /// Opens an EmployeeList and returns the data as XML in a String  
      /// </summary>
      public String getEmployeesXml()
      {
         EmployeeList oData = new EmployeeList();
	 if( oData.Open() == true )
	 {
	    return oData.toXML();
	 }
	 return "Error opening dataset";
      }
   }
}
