<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' 
                xmlns:xsi='http://www.w3.org/1999/XMLSchema-instance' 
                xmlns:SOAP-ENV='http://schemas.xmlsoap.org/soap/envelope/'
                xmlns:SOAP-ENC='http://schemas.xmlsoap.org/soap/encoding/'
                version='1.0'> 
<xsl:output omit-xml-declaration='yes'/>

<!--Match on the root and insert the SOAP envelop and body tags.-->
<xsl:template match="/">
  <SOAP-ENV:Envelope SOAP-ENV:encodingStyle='http://schemas.xmlsoap.org/soap/encoding/' >
    <SOAP-ENV:Body>
      <!--Array of Employees-->
      <xsl:element name='rda:GetEmployeesResponse' xmlns:rda='urn:rdacustomsoftware-com:Employee'>
        <xsl:attribute name='xsi:schemaLocation'>urn:rdacustomsoftware-com:Employee
                                                 http://localhost/Chapter7Web/Employee.xsd</xsl:attribute>
        <xsl:attribute name='SOAP-ENC:arrayType'>rda:Employee[<xsl:value-of select='count(//Employee)'/>]</xsl:attribute>
        <xsl:apply-templates select='//Employee' />
      </xsl:element>
    </SOAP-ENV:Body>
  </SOAP-ENV:Envelope>
</xsl:template>

<!-- Employee XSL Template -->
<xsl:template match='Employee'>
  <!--Employee Data-->
  <xsl:element name='Employee' > 
    <xsl:element name='EmployeeID'><xsl:value-of select='@EmployeeID' /></xsl:element>
    <xsl:element name='LastName'><xsl:value-of select='@LastName' /></xsl:element>
    <xsl:element name='FirstName'><xsl:value-of select='@FirstName' /></xsl:element>
    <xsl:element name='MiddleInitial'><xsl:value-of select='@MiddleInitial' /></xsl:element>
    <xsl:element name='OfficePhone'><xsl:value-of select='@OfficePhone' /></xsl:element>
    <xsl:element name='CellPhone'><xsl:value-of select='@CellPhone' /></xsl:element>
    <xsl:element name='Beeper'><xsl:value-of select='@Beeper' /></xsl:element>
  </xsl:element>

</xsl:template>

</xsl:stylesheet>
