if exists (select * from dbo.sysobjects
				where id = object_id(N'[dbo].[uspEmployeeProjects]')
				and OBJECTPROPERTY(id, N'IsProcedure') = 1)
   drop procedure [dbo].[uspEmployeeProjects]
GO

CREATE PROCEDURE uspEmployeeProjects(
    @EmployeeID int
)
AS
BEGIN
/************************************************************************
   Name:       uspEmployeeProjects
   Purpose:    Retrieves data sets needed to populate the 
	           EmployeeDetail DataSet
   Notes:      None

   Parameters: @EmployeeID    =    ID of the employee to retrieve
************************************************************************/

SELECT 
     Project.[Name]
FROM Project
JOIN EmployeeProject EmpPrj ON EmpPrj.ProjectID = Project.ProjectID
WHERE EmpPrj.EmployeeID = @EmployeeID

END
GO